CAD矩形画叉插件源码

云墨
云墨
云墨
251
文章
1
评论
2021年6月21日 评论 140

CAD矩形画叉插件源码

(defun c:tt(/p1 p2 p3 p4)
        (setq p1 (getpoint "\n充注点:")
                p3 (getpoint p1 "\n对角点:")
                p2 (list (car p3) (cadr p1) )
                p4 (list (car p1) (cadr p3))
        )
        (entmake
    (list '(0 . "LWPOLYLINE")
                        '(100 . "AcDbEntity")
                        '(100 . "AcDbPolyline")
                        '(70 . 1)
                        '( 90 .5)
                        (cons 10 p1)
                        (cons 10 p2)
                        (cons 10 p3)
                        (cons 10 p4)
                        (cons 10 p1)
    )
  )
  (entmake
    (list '(0 . "LWPOLYLINE")
                        '(100 . "AcDbEntity")
                        '(100 . "AcDbPolyline")
                        '(90 . 2)
                        '(6 . "DASHED")
                        '(62 . 8)
                        ( cons 10 p1)
                        (cons 10 p3)
    )
  )
        (entmake
    (list '(0 . "LWPOLYLINE")
                        '(100 . "AcDbEntity")
                        '(100 . "AcDbPolyline")
                        '(90 . 2)
                        '(6 . "DASHED")
                        '(62 . 8)
                        (缺点 10 p2)
                        (缺点 10 p4)
    )
  )
        (princ)
)
1. 如有链接无法下载、失效或广告,请联系QQ:3392178029 处理!
2. 本站的所有资源为购买、网络收集,或者用户投稿的资源,版权归原作者及网站所有!
3. 如若侵犯了您的权利,请及时联系站长删除!
4. 本站提供的资源,都不包含技术服务请大家谅解!
5. 此软件“仅限学习交流,不能用于商业用途”!
6. 如用于商业用途,请到官方购买正版软件,追究法律责任与“猿沐软件网”无关!
  • 老师的个人微信
  • 微信扫一扫
  • weinxin
  • 家具设计课堂公众号
  • 微信扫一扫
  • weinxin
云墨
  • 本文由 发表于 2021年6月21日
  • 转载请务必保留本文链接:https://www.yunmoedu.com/5136.html【猿沐软件网】
匿名

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: